%global plugin_name pipeline-utility-steps

Summary:    Small utility steps for Jenkins Pipeline jobs
Name:       jenkins-plugin-%{plugin_name}
Version:    1.3.0
Release:    10%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Utility+Steps+Plugin
# AltURL:   https://github.com/jenkinsci/pipeline-utility-steps-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-script-security

%description
Small, miscellaneous, cross platform utility steps 
for Pipeline Plugin jobs

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 1.3.0 - 1.3.0-10
- rebuilt

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.1.5-1
- Initial package
